Bug 171346 - system hang just before the gdm login screen, with Nahant upgreade 2
system hang just before the gdm login screen, with Nahant upgreade 2
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: hal (Show other bugs)
4.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-20 18:12 EDT by Homayoun Shahri
Modified: 2013-03-13 00:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-31 13:13:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 137672 None None None Never

  None (edit)
Description Homayoun Shahri 2005-10-20 18:12:00 EDT
Description of problem:
My system will hang just before the gdm login screen.

I have a Dell 700m Inspiron with Intel 855 Video card.  
The laptop will boot fine once, but the second boot will lock
up, then boot fine the next time. Over and over like this.
I read in a Fedora bug report that this may be related to haldaemon. So I did
chkconfig --del haldaemon. This solved the problem but of course the system does
not detect any USB devices. Another weired thing is that if I boot in runlevel 1
and then do init 5, things seem to go OK! The system did not hang when I did
this a few times. But I have not done a thorough test to confirm this behavior.
By the way this behavior is producable with 2.6.9-11.EL as well.

Version-Release number of selected component (if applicable):
hal-0.4.2-1.EL4.
The above problem started manifesting itself after I upgraded to "Red Hat
Enterprise Linux ES release 4 (Nahant Update 2)". All was working OK prior to
this upgrade. The kernel version is: 2.6.9-22.EL

How reproducible:
Always

Steps to Reproduce:
1. Boot the system with haldaemon enabled, and system locks up at the login prompt.
2. Reboot, and the system will start normally.
3. Disable haldaemon, and all is fine, except for the detection of USB memory
devices.
  
Actual results:
System hangs at the login prompt every other re/boot.

Expected results:
System should boot normally with haldaemon enabled

Additional info:
Comment 1 Homayoun Shahri 2005-10-21 13:16:15 EDT
I noticed someone else having the same issue with this laptop, which indicated
that if they used the internal network interface (wired), the problem goes away.
I was only using the 802.11g interface and had disabled the eht0 (ONBOOT=no).
Once I changed that setting to 'yes', (ONBOOT=yes), eventhough there was no
physical connection, everything started working, that is with haldaemon enabled.
Apparently this has something to do with the b44 (broadcom ehternet chip)
driver. The interesting thing is that this problem manifested itself once I
updated to EL4 update 2! So I consider this issue resolved for now.
Comment 2 John (J5) Palmieri 2005-10-31 13:13:45 EST
issue is resolved. closing.

Note You need to log in before you can comment on or make changes to this bug.